Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
modbus::Device::DeviceID Struct Reference

modbus encapsulated transport device identification (0x2B / 0x0E) More...

`import"ModbusDevice.idl";`

## Public Attributes
string | vendor
| the vendor name (0x00)
string | code
| the product code (0x01)
string | version
| the major minor revision (0x02)
string | url
| the vendor URL (0x03) (optional)
string | name
| the product name (0x04) (optional)
string | model
| the model name (0x05) (optional)
string | app
| the user application name (0x06) (optional)

## Detailed Description

modbus encapsulated transport device identification (0x2B / 0x0E)

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/ModbusDevice.idl